Skip to main content
GET
/
networks
/
affiliates
/
users
/
{userId}
Get Affiliate User
curl --request GET \
  --url https://api.eflow.team/v1/networks/affiliates/users/{userId} \
  --header 'X-Eflow-Api-Key: <api-key>'
{
  "network_affiliate_user_id": 123,
  "network_affiliate_id": 123,
  "first_name": "<string>",
  "last_name": "<string>",
  "email": "<string>",
  "title": "<string>",
  "status": "active",
  "is_primary": true,
  "cell_phone": "<string>",
  "work_phone": "<string>",
  "user_roles": [
    123
  ],
  "time_created": 123,
  "time_saved": 123
}

Authorizations

X-Eflow-Api-Key
string
header
required

The Everflow API key generated from the Control Center > Security.

Path Parameters

userId
integer
required

The unique affiliate user ID.

Response

OK

network_affiliate_user_id
integer

Unique affiliate user ID.

network_affiliate_id
integer

The affiliate ID this user belongs to.

first_name
string

User's first name.

last_name
string

User's last name.

email
string

User's email address.

title
string

User's job title.

status
enum<string>

User account status.

Available options:
active,
inactive
is_primary
boolean

Whether this is the primary contact for the affiliate.

cell_phone
string

User's cell phone number.

work_phone
string

User's work phone number.

user_roles
integer[]

Array of role IDs assigned to this user.

time_created
integer

Unix timestamp of creation.

time_saved
integer

Unix timestamp of last update.